/**
 * @description Converts ounces to pounds
 * @param ounces
 * @returns pounds conversion
 * @example ouncesToPounds(16) //returns 1
 * ouncesToPounds(32) //returns 2
 * ouncesToPounds("16") //throws error
 * ouncesToPounds(null) //throws error
 */
export declare function ouncesToPounds(ounces: number): number;
/**
 * @description Converts pounds to ounces
 * @param pounds
 * @returns ounces conversion
 * @example poundsToOunces(1) //returns 16
 * poundsToOunces(2) //returns 32
 * poundsToOunces("2") //throws error
 * poundsToOunces(null) //throws error
 */
export declare function poundsToOunces(pounds: number): number;
/**
 * @description Converts Foot-pounds to Joules
 * @param ftLbs
 * @returns Joules conversion
 * @example  ftLbsToJoules(1) //return 1.35581794833508
 * ftLbsToJoules("1") //throws error
 * ftLbsToJoules(null) //throws error
 */
export declare function ftLbsToJoules(ftLbs: number): number;
/**
 * @description Converts Joules to Foot-pounds
 * @param joules
 * @returns Foot-Pounds conversion
 * @example joulesToFtLbs(1) //returns 0.7375621492752636
 * joulesToFtLbs("1") //throws error
 * joulesToFtLbs(null) //throws error
 */
export declare function joulesToFtLbs(joules: number): number;
//# sourceMappingURL=UnitsConversion.d.ts.map