"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errorsList_1 = require("../errorsList");
const UnitsConversion_1 = require("../Functions/UnitsConversion");
//test ouncesToPounds()
test.each([
    [16, 1],
    [32, 2],
])("ouncesToPounds() Valid Tests", (input, output) => {
    expect((0, UnitsConversion_1.ouncesToPounds)(input)).toBe(output);
});
test.each([["16"], [null], [null]])("ouncesToPounds() Invalid Tests", (input) => {
    //@ts-ignore
    expect(() => (0, UnitsConversion_1.ouncesToPounds)(input)).toThrowError(errorsList_1.errorsList.paramNotType("ouncesToPounds", "ounces", input, "number"));
});
//test poundsToOunces()
test.each([
    [1, 16],
    [2, 32],
])("poundsToOunces() Valid Tests", (input, output) => {
    expect((0, UnitsConversion_1.poundsToOunces)(input)).toBe(output);
});
test.each([["16"], [null], [null]])("poundsToOunces() Invalid Tests", (input) => {
    //@ts-ignore
    expect(() => (0, UnitsConversion_1.poundsToOunces)(input)).toThrowError(errorsList_1.errorsList.paramNotType("poundsToOunces", "pounds", input, "number"));
});
// test ftLbsToJoules
test.each([[1, 1.35581794833508]])("ftLbsToJoules() Valid Tests", (input, output) => {
    expect((0, UnitsConversion_1.ftLbsToJoules)(input)).toBe(output);
});
test.each([["16"], [null], [null]])("ftLbsToJoules() Invalid Tests", (input) => {
    //@ts-ignore
    expect(() => (0, UnitsConversion_1.ftLbsToJoules)(input)).toThrowError(errorsList_1.errorsList.paramNotType("ftLbsToJoules", "ftLbs", input, "number"));
});
// test joulesToFtLbs
test.each([[1, 0.7375621492752636]])("joulesToFtLbs() Valid Tests", (input, output) => {
    expect((0, UnitsConversion_1.joulesToFtLbs)(input)).toBe(output);
});
test.each([["16"], [null], [null]])("joulesToFtLbs() Invalid Tests", (input) => {
    //@ts-ignore
    expect(() => (0, UnitsConversion_1.joulesToFtLbs)(input)).toThrowError(errorsList_1.errorsList.paramNotType("joulesToFtLbs", "joules", input, "number"));
});
//# sourceMappingURL=UnitConversionTests.test.js.map