"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const kineticEnergy_1 = __importDefault(require("../Functions/kineticEnergy"));
test.each([
    [50, 1200, 159.84512783170084],
    [115, 1150, 337.6450816542195],
    [62, 3050, 1280.4371764246196],
])("kineticEnergy Valid Tests", (bulletWeightGrains, velocityFps, calculatedKineticEnergy) => {
    expect((0, kineticEnergy_1.default)({ bulletWeightGrains, velocityFps })).toStrictEqual({
        error: false,
        kineticEnergyFtLbs: calculatedKineticEnergy,
        errorMessage: null,
    });
});
test.each([
    [
        0,
        -1,
        "kineticEnergy Error(s):\nbulletWeightGrains param must be of type number and greater than 0.\nvelocityFps param must be of type number and greater than 0.",
    ],
    [
        undefined,
        undefined,
        "kineticEnergy Error(s):\nbulletWeightGrains param must be of type number and greater than 0.\nvelocityFps param must be of type number and greater than 0.",
    ],
    [
        undefined,
        1200,
        "kineticEnergy Error(s):\nbulletWeightGrains param must be of type number and greater than 0.",
    ],
    [
        50,
        undefined,
        "kineticEnergy Error(s):\nvelocityFps param must be of type number and greater than 0.",
    ],
])("kineticEnergy Valid Tests", (bulletWeightGrains, velocityFps, errorMessage) => {
    //@ts-ignore
    let result = (0, kineticEnergy_1.default)({ bulletWeightGrains, velocityFps });
    expect(result.error).toBe(true);
    expect(result.kineticEnergyFtLbs).toBe(null);
    expect(result.errorMessage).toStrictEqual(errorMessage);
});
//# sourceMappingURL=kineticEnergy.test.js.map